W3C home > Mailing lists > Public > public-qa-dev@w3.org > September 2004

Re: Text::Iconv 1.4, new Validator bundle?

From: Ville Skyttä <ville.skytta@iki.fi>
Date: Thu, 16 Sep 2004 08:56:55 +0300
To: QA Dev <public-qa-dev@w3.org>
Message-Id: <1095314214.7580.236.camel@bobcat.mine.nu>

On Thu, 2004-09-16 at 01:50, olivier Thereaux wrote:
> All, (Ville especially, as you're the maintainer of the bundle).
> 
> I was told by David Souza (who is behind the validator's installation 
> guide at Apple) that apparently Text::Iconv 1.4 fixes some issues that 
> were causing trouble for the installation of the Markup Validator on 
> some systems (OSX at least).
> 
> Are you aware of any issue with requiring v1.4+ (instead of any 
> version, as the current bundle does)?

I'm not aware of any issues with 1.4, been using it for some time now
(on FC[12]).  But pragmatically, IMO the dependencies in the bundle
should be exactly the same as in the actual validator code.

Bumping the Text::Iconv version in the bundle will only affect people
who have a < 1.4 version already installed.  And if they already have
it, the problem does not exist any more (assuming it's install-time
only, and at runtime older versions work well enough), right?.  Others
who don't have any Text::Iconv installed will get the latest one
available in CPAN anyway with "perl -MCPAN -e 'install
Bundle::W3C::Validator'".

So, unless I missed something, the version bump in the bundle seems
unnecessary.
Received on Thursday, 16 September 2004 05:56:57 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Thursday, 19 August 2010 18:12:44 GMT